# Method: productSuites.list

- [HTTP request](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites/list#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites/list#body.request_body)
- [Response body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites/list#body.ListProductSuitesResponse.SCHEMA_REPRESENTATION)

Lists ProductSuites.

### HTTP request

`GET https://cloudproductregistry.googleapis.com/v1/productSuites`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of suites to return. The service may return fewer than this value. If unspecified, at most 100 suites will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` Optional. A page token, received from a previous `productSuites.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `productSuites.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for productSuites.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "productSuites": [ { object (`https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites#ProductSuite`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `productSuites[]` | ``object (`https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/productSuites#ProductSuite`)`` Matched ProductSuites |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |